/* 
html5doctor.com Reset Stylesheet
v1.6.1
Last Updated: 2010-09-17
Author: Richard Clark - http://richclarkdesign.com 
Twitter: @rich_clark
*/

html, body, div, span, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
abbr, address, cite, code,
del, dfn, em, img, ins, kbd, q, samp,
small, strong, sub, sup, var,
b, i,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section, summary,
time, mark, audio, video {
    margin:0;
    padding:0;
    border:0;
    outline:0;
    font-size:100%;
    vertical-align:baseline;
    background:transparent;
}

body {
    line-height:1;
}

article,aside,details,figcaption,figure,
footer,header,hgroup,menu,nav,section { 
    display:block;
}

nav ul {
    list-style:none;
}

blockquote, q {
    quotes:none;
}

blockquote:before, blockquote:after,
q:before, q:after {
    content:'';
    content:none;
}

a {
    margin:0;
    padding:0;
    font-size:100%;
    vertical-align:baseline;
    background:transparent;
}

/* change colours to suit your needs */
ins {
    background-color:#ff9;
    color:#000;
    text-decoration:none;
}

/* change colours to suit your needs */
mark {
    background-color:#ff9;
    color:#000; 
    font-style:italic;
    font-weight:bold;
}

del {
    text-decoration: line-through;
}

abbr[title], dfn[title] {
    border-bottom:1px dotted;
    cursor:help;
}

table {
    border-collapse:collapse;
    border-spacing:0;
}

/* change border colour to suit your needs */
hr {
    display:block;
    height:1px;
    border:0;   
    border-top:1px solid #cccccc;
    margin:1em 0;
    padding:0;
}

input, select {
    vertical-align:middle;
}

a {
    text-decoration: none;
}














/*----------------------------- My Code ------------------------------------------*/
#nav-bar {
    height: 66px;
    display: flex;
    flex-direction: column;
}
.nav-header{
    display: flex;
    height: 100%;
    justify-content: space-between;
}
.nav-heading  {
    width: 20%;
    height: 24px;
    text-align: center;
    padding: 20px 0;
}
.nav-toggle{
    vertical-align: middle;
}

.nav-header h2,
.nav-toggle a{
    display: inline-block;
    width: 100%;
    height: 100%;
    line-height: 1.5em;
}

.nav-items {
    display: none;
}
.nav-cart,
.nav-toggle {
    width: 40px;
    padding: 20px;
}
/* ----------------------------- Checkout ------------------------------- */




.checkout-details {
    margin: 0 10px 72px 10px;
    display: flex;
    flex-direction: column;
    position: relative;
}
.form-left>div,
.form-right>div {
    position: relative;
    height:48px;
    margin: 5px 0;
}
.form-left>h2,
.form-right>h2 {
    margin: 30px 0 0 0;
}

.form-left>div label,
.form-right>div label{
    position: absolute;
    display:block;
    width: 100%;
    font-size: 16px;
    bottom:5px;
    outline:0;
    color: black;
    z-index: -1;
    
  }
  
.form-left>div input,
.form-right>div input {
    display:block;
    position: absolute;
    height: 30px;
    width: 100%;
    bottom: 0;
    opacity:.5;
    border:none;
    border-bottom:1px solid gray;
  }
.form-left>div input:focus,
.form-right>div input:focus {
    border-bottom: 2px solid black;
    outline: none;
    transition: 1s border-bottom;
    
  }
.form-left>div input:focus + label,
.form-right>div input:focus + label {
    position: static;
    outline: none;
    transition: 1s font-size;
    font-size: 12px;
    color: black;
  }
  .postal{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
  }
  .postal>div {
      position: relative;
      width: 49%;

  }
#country-dropdown
 {
    width: 100%;
    margin: 5px 0;
    height: 48px;
    outline: none;
    border: none;
    border-bottom: 1px solid rgb(179, 175, 175);
}
.billing-address {
    margin: 5px 0;
    height: 30px;
}
.form-left>span {
    display: inline-block;
    margin: 5px 0;
    height: 48px;

}
#month-dropdown,
#year-dropdown {
    width: 30%;
    height:48px;
    margin: 5px 0;
    outline: none;
    border: none;
    border-bottom: 1px solid gray;
}
.cvv{
    width: 30%;
    margin-right: 0;
    display: inline-block;

}
.price span,
.totel span{
    display: inline-block;
}
.price,
.total{
    width: 100%;
    height:48px;
    margin: 5px 0;
    display: flex;
    justify-content: space-between;
}
.place-order-btn {
    display: block;
    width: 100%;
    height: 60px;
    position: fixed;
    bottom: 0;
    text-align: center;
    background: rgb(34, 34, 61);
    line-height: 60px;
    color: white;
    text-transform: uppercase;
}
  

















/*-------------------------------------- Media Queries 768px --------------------------------------------------*/
@media screen and (min-width: 768px){
    /* nav-bar */
    #nav-bar {
        height: 130px;
    }
    .nav-toggle a{
        display: none;
    }
    .nav-items {
        display: flex;
        width: auto;
        height: 100%;
        margin: 0 auto;
        justify-content: space-around;
    }

    .nav-items li {
        height: auto;
        padding: 10px;
        
    }
    .nav-items li a {
        display: none;
        padding: 10px;
    }

    /**/
    #checkout {
        max-width: 960px;
        margin: 0 auto;
    }
    .checkout-details {
        flex-direction: row;
        justify-content: space-around;
    }
    .form-left {
        flex-basis: 45%;
    }
    .form-right {
        flex-basis: 45%;
    }
    .place-order-btn {
        width: 50%;
        position: static;
        border: 1px solid black;
        color: black;
        background: white;
        height: 48px;
        line-height: 48px;
    }
    

}


